{% import 'macros/form.html' as form %}
{% set action = c.form_action or '' %}

<form id="query-edit" class="dataset-form form-horizontal" method="post" action="{{ action }}" data-module="basic-form">
{% block query_basic_fields_title %}
  {{ form.input('title', id='field-title', label=_('Title'), placeholder=_('eg. A descriptive title'), value=c.query_title, error=errors.title, classes=['control-full', 'control-large'], attrs={'data-module': 'slug-preview-target'}) }}
{% endblock %}

{% block query_basic_fields_description %}
  {{ form.textarea('notes', id='field-notes', label=_('Description'), placeholder=_('eg. Some useful notes about the query'), value=c.query_description, error=errors.notes, classes=['control-full', 'control-large'], attrs={'data-module': 'slug-preview-target', 'maxlength':300}) }}
{% endblock %}

{% block query_basic_fields_url_params %}
    <div class="hidden">
        {{ form.input('url', id='field-title', label=_('URL Parameters'), placeholder=_('eg. The URL parameters of your query'), value=c.query_url, error=errors.title, classes=['control-full', 'control-large'], attrs={'data-module': 'slug-preview-target'}) }}
    </div>
{% endblock %}

{% block form_actions %}
    <div class="form-actions">
      {% block save_button %}
        <button class="btn btn-primary" type="submit" name="save">{% block save_button_text %}{{ _('Save Query') }}{% endblock %}</button>
      {% endblock %}
      {{ form.required_message() }}
    </div>
  {% endblock %}

</form>